# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::MD5CheckSum Class Reference

Computes the MD5 of a given buffer or VirtualFile. More...

`#include <MD5CheckSum.hpp>`

List of all members.

## Public Member Functions
| MD5CheckSum ()
virtual const char * | className ()
const unsigned char * | md5 () const
std::string | toStdString () const
void | compute (void *buffer, int len)
void | compute (VirtualFile *file)
bool | operator== (const MD5CheckSum &other) const
bool | operator!= (const MD5CheckSum &other) const
bool | operator< (const MD5CheckSum &other) const
## Protected Attributes
unsigned char | mMD5 [16]

## Detailed Description

Computes the MD5 of a given buffer or VirtualFile.

## Constructor & Destructor Documentation

vl::MD5CheckSum::MD5CheckSum | ( |  | ) | `[inline]`

## Member Function Documentation

virtual const char* vl::MD5CheckSum::className | ( |  | ) | `[inline, virtual]`

const unsigned char* vl::MD5CheckSum::md5 | ( |  | ) | const`[inline]`

std::string MD5CheckSum::toStdString | ( |  | ) | const

void MD5CheckSum::compute | ( | void * | buffer,
|  | int | len |
| ) |  |  |

void MD5CheckSum::compute | ( | VirtualFile * | file | ) |

bool vl::MD5CheckSum::operator== | ( | const MD5CheckSum & | other | ) | const`[inline]`

bool vl::MD5CheckSum::operator!= | ( | const MD5CheckSum & | other | ) | const`[inline]`

bool vl::MD5CheckSum::operator< | ( | const MD5CheckSum & | other | ) | const`[inline]`

## Member Data Documentation

unsigned char vl::MD5CheckSum::mMD5[16]`[protected]`

The documentation for this class was generated from the following files:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/MD5CheckSum.hpp
- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/MD5CheckSum.cpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 29 11:11:47 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.